
#define SYSTEM_VERSION_LESS_THAN(v)                 ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] == NSOrderedAscending)

@implementation UILabel (HighlightedColorPre7)

- (void)setHighlightedColorPre7:(BOOL)yesOrNo {
	if (yesOrNo == YES) {
		if (SYSTEM_VERSION_LESS_THAN(@"7.0")) {
			self.highlightedTextColor = [UIColor whiteColor];
		}
	}
}

@end
